Bug 16720 - DBIx ActionLogs.pm should be removed
Summary: DBIx ActionLogs.pm should be removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-13 16:04 UTC by Tomás Cohen Arazi
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16720: Remove DBIx ActionLogs.pm (2.74 KB, patch)
2016-06-13 16:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16720: Remove DBIx ActionLogs.pm (2.79 KB, patch)
2016-06-14 04:11 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16720: Remove DBIx ActionLogs.pm (2.86 KB, patch)
2016-06-14 16:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-06-13 16:04:00 UTC
It is just a leftover. The update_dbix_class_files.pl now produces non-plural names, and we have ActionLog.pm in the source tree.
Comment 1 Tomás Cohen Arazi 2016-06-13 16:11:33 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-06-14 04:11:21 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2016-06-14 14:59:13 UTC
Just for the record, I confirmed this is the only schema file in this situation.
Comment 4 Jonathan Druart 2016-06-14 16:00:28 UTC
Created attachment 52394 [details] [review]
Bug 16720: Remove DBIx ActionLogs.pm

The update_dbix_class_files.pl script generates ActionLog.pm instead, which is
already on the source tree.

To test:
- Apply the patch
=> SUCCESS: Koha/Schema/Result/ActionLogs.pm is removed
- Run:
  $ mysql -uroot
  > CREATE DATABASE dbic; \q
  $ mysql -uroot dbic < kohaclone/installer/data/mysql/kohastructure.sql
  $ misc/devel/update_dbix_class_files.pl --db_name dbic --db_user root
=> SUCCESS: Koha/Schema/Result/ActionLogs.pm is not re-generated
- Run:
  $ git grep ActionLogs
=> SUCCESS: There's no code using it
- Sign off

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-06-17 14:38:24 UTC
Pushed to master, thanks Tomas!
Comment 6 Frédéric Demians 2016-06-24 05:45:21 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 7 Julian Maurice 2016-07-01 06:51:31 UTC
Patch pushed to 3.22.x, will be in 3.22.9
Comment 8 Chris Cormack 2016-07-07 23:15:08 UTC
Pushed to 3.20.x will be in 3.20.13